org.apache.poi.hwmf.record

## Class HwmfWindowing

- java.lang.Object
- - org.apache.poi.hwmf.record.HwmfWindowing

-     public class HwmfWindowing
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `HwmfWindowing.WmfCreateRegion`
    `static class` | `HwmfWindowing.WmfExcludeClipRect` The META_EXCLUDECLIPRECT record sets the clipping region in the playback device context to the existing clipping region minus the specified rectangle.
    `static class` | `HwmfWindowing.WmfIntersectClipRect` The META_INTERSECTCLIPRECT record sets the clipping region in the playback device context to the intersection of the existing clipping region and the specified rectangle.
    `static class` | `HwmfWindowing.WmfOffsetClipRgn` The META_OFFSETCLIPRGN record moves the clipping region in the playback device context by the specified offsets.
    `static class` | `HwmfWindowing.WmfOffsetViewportOrg` The META_OFFSETVIEWPORTORG record moves the viewport origin in the playback device context by specified horizontal and vertical offsets.
    `static class` | `HwmfWindowing.WmfOffsetWindowOrg` The META_OFFSETWINDOWORG record moves the output window origin in the playback device context by specified horizontal and vertical offsets.
    `static class` | `HwmfWindowing.WmfScaleViewportExt` The META_SCALEVIEWPORTEXT record scales the horizontal and vertical extents of the viewport that is defined in the playback device context by using the ratios formed by the specified multiplicands and divisors.
    `static class` | `HwmfWindowing.WmfScaleWindowExt` The META_OFFSETWINDOWORG record moves the output window origin in the playback device context by specified horizontal and vertical offsets.
    `static class` | `HwmfWindowing.WmfScanObject`
    `static class` | `HwmfWindowing.WmfSelectClipRegion` The META_SELECTCLIPREGION record specifies a Region Object to be the current clipping region.
    `static class` | `HwmfWindowing.WmfSetViewportExt` The META_SETVIEWPORTEXT record sets the horizontal and vertical extents of the viewport in the playback device context.
    `static class` | `HwmfWindowing.WmfSetViewportOrg` The META_SETVIEWPORTORG record defines the viewport origin in the playback device context.
    `static class` | `HwmfWindowing.WmfSetWindowExt` The META_SETWINDOWEXT record defines the horizontal and vertical extents of the output window in the playback device context.
    `static class` | `HwmfWindowing.WmfSetWindowOrg` The META_SETWINDOWORG record defines the output window origin in the playback device context.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HwmfWindowing()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HwmfWindowing

          public HwmfWindowing()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.